AttributeMapBeanAssembler (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.assembly.AttributeMapBeanAssembler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.assembly
Class AttributeMapBeanAssembler

    java.lang.Object
      org.mule.config.spring.parsers.assembly.DefaultBeanAssembler
          org.mule.config.spring.parsers.assembly.AbstractMapBeanAssembler
              org.mule.config.spring.parsers.assembly.AttributeMapBeanAssembler

All Implemented Interfaces:
  BeanAssembler

    public class AttributeMapBeanAssembler

extends AbstractMapBeanAssembler

This can be used inside a `ChildDefinitionParser` - it takes named properties and, instead of inserting them individually on the target, it packages them as a Map and inserts that.

Constructor Summary
`AttributeMapBeanAssembler(PropertyConfiguration beanConfig, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, PropertyConfiguration targetConfig, org.springframework.beans.factory.config.BeanDefinition target)`

Method Summary
`void` | `insertBeanInTarget(String oldName)` We override this method to insert a map instead of the definition.

Methods inherited from class org.mule.config.spring.parsers.assembly.AbstractMapBeanAssembler
`insertDefinitionAsMap`

Methods inherited from class org.mule.config.spring.parsers.assembly.DefaultBeanAssembler
`addPropertyWithoutReference, addPropertyWithReference, assertTargetPresent, bestGuessName, copyBeanToTarget, extendBean, extendBean, extendTarget, extendTarget, extendTarget, getBean, getBeanConfig, getTarget, getTargetConfig, methodExists, setBean, setBeanFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeMapBeanAssembler

    public AttributeMapBeanAssembler(PropertyConfiguration beanConfig,
                                     org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                     PropertyConfiguration targetConfig,
                                     org.springframework.beans.factory.config.BeanDefinition target)

Method Detail

### insertBeanInTarget

    public void insertBeanInTarget(String oldName)

  We override this method to insert a map instead of the definition.

  Specified by:
    `insertBeanInTarget` in interface `BeanAssembler`
  Overrides:
    `insertBeanInTarget` in class `DefaultBeanAssembler`
  Parameters:
    `oldName` - The identifying the bean (typically element name).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.